%define build_skim_support 0

Name:           scim-qtimm
Summary:        SCIM context plugin for qt-immodule
Version:        0.9.2
Release:        3%{?dist}
Group:		System/Libraries
License:	GPL
URL:		http://freedesktop.org/bin/view/Software/ScimQtImm
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
Prereq: sed
BuildRequires:	qt-devel
BuildRequires:	scim-devel
%if %{build_skim_support}
Requires: skim
%endif
Patch1: scim-qtimm-0.9.2-scim140-panel_client.patch

%description
SCIM context plugin for qt-immodule

%prep
%setup -q -n %{name}
%patch1 -p0 -b -0.9.2

%build
#./bootstrap
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=${RPM_BUILD_ROOT} install

%find_lang %{name}

## hacks for 0.8.9
#%%if !%{build_skim_support}
#rm ${RPM_BUILD_ROOT}%{_datadir}/locale/*/LC_MESSAGES/skim*-qtimm.mo
#rm -r ${RPM_BUILD_ROOT}/skimconfiguredialog
#%%endif
#mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/config.kcfg
#mv ${RPM_BUILD_ROOT}{/qtimm.kcfg,%{_datadir}/config.kcfg}

#install -D xinput-qtimm.sh ${RPM_BUILD_ROOT}/%{_sysconfdir}/X11/xinit/xinitrc.d/xinput-qtimm.sh

%post
sed -e "/^QT_IM_MODULE=.*/d;/^$/d" < %{_sysconfdir}/X11/xinit/xinput.d/scim > %{_tmppath}/xinput-scim-%{version}-%{release}-root
echo "QT_IM_MODULE=scim" >> %{_tmppath}/xinput-scim-%{version}-%{release}-root
mv -f %{_tmppath}/xinput-scim-%{version}-%{release}-root %{_sysconfdir}/X11/xinit/xinput.d/scim

%if %{build_skim_support}
sed -e "/^QT_IM_MODULE=.*/d;/^$/d" < %{_sysconfdir}/X11/xinit/xinput.d/skim > %{_tmppath}/xinput-skim-%{version}-%{release}-root
echo "QT_IM_MODULE=scim" >> %{_tmppath}/xinput-skim-%{version}-%{release}-root
mv -f %{_tmppath}/xinput-skim-%{version}-%{release}-root %{_sysconfdir}/X11/xinit/xinput.d/skim
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/qt-3.3/plugins/inputmethods/*
#%{_sysconfdir}/X11/xinit/xinitrc.d/xinput-qtimm.sh
%if %{build_skim_support}
%{_datadir}/config.kcfg/qtimm.kcfg
%{_libdir}/kde3/kcm_skimplugin_scim_qtimm.*
%{_datadir}/services/skimconfiguredialog/skimplugin_scim_qtimm_config.desktop
%{_datadir}/locale/*/LC_MESSAGES/skim_scim-qtimm.mo
%endif

%changelog
* Tue Jul 12 2005 Jens Petersen <petersen@redhat.com> - 0.9.2-3
- patch from cvs head

* Mon Jun 20 2005 Jens Petersen <petersen@redhat.com> - 0.9.1-1
- update version
- build against scim-1.3.1

* Fri Jun 10 2005 Jens Petersen <petersen@redhat.com> - 0.8.9-1
- initial build

* Thu Jul 17 2004 LiuCougar <liuspider@users.sourceforge.net> 0.5-0.r10.1
- update the version

* Thu Jul 15 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.0.1-0.r03.3
- spec for official scim-qtimm

* Mon Jul 12 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.0.1-0.r03.2ut
- fix URL
- remove Conflicts

* Tue Jul 06 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.0.1-0.r03.1mdk
- fix buildrequires
- initial spec for mdk (UTUMI Hirosi <utuhiro78@yahoo.co.jp>)
